## ocaml-data-notation 0.0.6

=== Makefile ===
################################################################################
#  ODN: Dump data using OCaml notation                                         #
#                                                                              #
#  Copyright (C) 2009-2011, OCamlCore SARL                                     #
#                                                                              #
#  This library is free software; you can redistribute it and/or modify it     #
#  under the terms of the GNU Lesser General Public License as published by    #
#  the Free Software Foundation; either version 2.1 of the License, or (at     #
#  your option) any later version, with the OCaml static compilation           #
#  exception.                                                                  #
#                                                                              #
#  This library is distributed in the hope that it will be useful, but         #
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  #
#  or FITNESS FOR A PARTICULAR PURPOSE. See the file COPYING for more          #
#  details.                                                                    #
#                                                                              #
#  You should have received a copy of the GNU Lesser General Public License    #
#  along with this library; if not, write to the Free Software Foundation,     #
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
################################################################################

test: build

#TESTFLAGS=-verbose 

# OASIS_START
# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all: 
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: 
	$(SETUP) -clean $(CLEANFLAGS)

distclean: 
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

headache:
	find ./ -name _darcs -prune -false -o -name _build -prune \
	  -false -o -type f \
	  | xargs headache -h _header -c _headache.config

.PHONY: headache

# Source distribution

dist: setup.data
	if ! [ "$$(darcs diff | wc -l)" = 0 ]; then \
	  echo E: Uncommited changes >&2 ; exit 1; \
	fi
	$(MAKE) test
	$(MAKE) dist-step2

-include setup.data
dist-step2:
	darcs dist --dist-name $(pkg_name)-$(pkg_version)
	if ! (darcs query tag | grep "$(pkg_version)" > /dev/null); then \
	  darcs tag "$(pkg_version)"; \
	else \
	  echo W: Version $(pkg_version) already tagged >&2; \
	fi 
	gpg -s -a -b "$(pkg_name)-$(pkg_version).tar.gz"

.PHONY: dist dist-step2

=== debian/changelog ===
ocaml-data-notation (0.0.6-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:34:46 -0600

ocaml-data-notation (0.0.6-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Add debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jun 2011 17:57:16 +0200

ocaml-data-notation (0.0.3-1) unstable; urgency=low

  * New upstream version
  * Install pa*.cma into libodn-ocaml-dev (Closes: #617260)

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 22 Nov 2010 16:06:37 +0100

ocaml-data-notation (0.0.2-2) unstable; urgency=low

  * Fix double installation of *.cma files

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 19 Nov 2010 12:53:42 +0100

ocaml-data-notation (0.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #603828)

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 19 Nov 2010 12:37:42 +0100

=== debian/control ===
Source: ocaml-data-notation
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: 
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  ocaml-base-nox,
  libtype-conv-camlp4-dev,
  libounit-ocaml-dev,
  libfileutils-ocaml-dev (>= 0.4.0),
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  camlp4
Standards-Version: 3.9.1
Homepage: http://forge.ocamlcore.org/projects/odn
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-data-notation.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-data-notation.git

Package: libodn-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Store data using OCaml notation
 This library uses type-conv to dump OCaml data structure using OCaml data
 notation. This kind of data dumping helps to write OCaml code generator, like
 OASIS. 

Package: libodn-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: Store data using OCaml notation
 This library uses type-conv to dump OCaml data structure using OCaml data
 notation. This kind of data dumping helps to write OCaml code generator, like
 OASIS. 
 .
 This package contains the shared runtime libraries.

## ocaml-data-notation 0.0.7

=== debian/changelog ===
ocaml-data-notation (0.0.7-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - remove 0001-Use-lid-in-quotations-instead-of-Gen.id-pe.patch which
      is no longer needed since integrated into upstream's sources.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 03 Jan 2012 17:33:32 +0100

ocaml-data-notation (0.0.6-2) unstable; urgency=low

  * Team upload
  * Fix FTBFS with type-conv >= 3.0.1
    - add version in (build-)dependency to type-conv
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 11 Nov 2011 10:41:33 +0100

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
   ocaml-nox (>= 3.11.1-3~),
   ocaml-findlib,
   ocaml-base-nox,
-  libtype-conv-camlp4-dev,
+  libtype-conv-camlp4-dev (>= 2.3.0),
   libounit-ocaml-dev,
   libfileutils-ocaml-dev (>= 0.4.0),
   dh-ocaml (>= 0.9~),
   debhelper (>= 7.0.50~),
   camlp4
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://forge.ocamlcore.org/projects/odn
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-data-notation.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-data-notation.git

## ocaml-data-notation 0.0.8

=== debian/changelog ===
ocaml-data-notation (0.0.8-1) unstable; urgency=low

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Apr 2012 08:10:16 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' 

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install 

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

## ocaml-data-notation 0.0.9

=== debian/changelog ===
ocaml-data-notation (0.0.9-1) unstable; urgency=low

  * Team upload
  * New upstream release (Closes: #713342)
    - bump type-conv requirement
  * Bump debhelper compat level to 9
  * Update Vcs-*
  * Switch debian/copyright to format version 1.0
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jun 2013 17:18:40 +0200

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
   ocaml-nox (>= 3.11.1-3~),
   ocaml-findlib,
   ocaml-base-nox,
-  libtype-conv-camlp4-dev (>= 2.3.0),
+  libtype-conv-camlp4-dev (>= 3.0.5),
   libounit-ocaml-dev,
   libfileutils-ocaml-dev (>= 0.4.0),
   dh-ocaml (>= 0.9~),
-  debhelper (>= 7.0.50~),
+  debhelper (>= 9),
   camlp4
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://forge.ocamlcore.org/projects/odn
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-data-notation.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-data-notation.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-data-notation.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-data-notation.git
 
 Package: libodn-ocaml-dev
 Architecture: any

## ocaml-data-notation 0.0.11

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 ################################################################################
-#  ODN: Dump data using OCaml notation                                         #
+#  ocaml-data-notation: Store data using OCaml notation                        #
 #                                                                              #
 #  Copyright (C) 2009-2011, OCamlCore SARL                                     #
+#  Copyright (C) 2013, Sylvain Le Gall                                         #
 #                                                                              #
 #  This library is free software; you can redistribute it and/or modify it     #
 #  under the terms of the GNU Lesser General Public License as published by    #
@@ -19,12 +20,10 @@
 #  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
 ################################################################################
 
-test: build
-
-#TESTFLAGS=-verbose 
+default: test
 
 # OASIS_START
-# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)
+# DO NOT EDIT (digest: 7b2408909643717852b95f994b273fee)
 
 SETUP = ocaml setup.ml
 
@@ -37,7 +36,7 @@
 test: setup.data build
 	$(SETUP) -test $(TESTFLAGS)
 
-all: 
+all:
 	$(SETUP) -all $(ALLFLAGS)
 
 install: setup.data
@@ -49,10 +48,10 @@
 reinstall: setup.data
 	$(SETUP) -reinstall $(REINSTALLFLAGS)
 
-clean: 
+clean:
 	$(SETUP) -clean $(CLEANFLAGS)
 
-distclean: 
+distclean:
 	$(SETUP) -distclean $(DISTCLEANFLAGS)
 
 setup.data:
@@ -62,30 +61,67 @@
 
 # OASIS_STOP
 
+# Precommit target
+#  Check style of code.
+PRECOMMIT_ARGS= \
+	    --exclude myocamlbuild.ml \
+	    --exclude setup.ml \
+	    --exclude README.txt \
+	    --exclude INSTALL.txt \
+	    --exclude Makefile \
+	    --exclude configure \
+	    --exclude _tags
+
+precommit:
+	@if command -v OCamlPrecommit > /dev/null; then \
+	  OCamlPrecommit $(PRECOMMIT_ARGS); \
+	else \
+	  echo "Skipping precommit checks.";\
+	fi
+
+precommit-full:
+	OCamlPrecommit --full $(PRECOMMIT_ARGS)
+
+test: precommit
+
+.PHONY: precommit
+
+# Fix perms target
+#  Fix missing permission for darcs VCS files.
+fix-perms:
+	# TODO: chmod +x doc-dist.sh
+
+.PHONY: fix-perms
+
+# Headache target
+#  Fix license header of file.
+
 headache:
-	find ./ -name _darcs -prune -false -o -name _build -prune \
-	  -false -o -type f \
+	find ./ \
+	  -name _darcs -prune -false \
+	  -o -name .git -prune -false \
+	  -o -name .svn -prune -false \
+	  -o -name _build -prune -false \
+	  -o -name dist -prune -false \
+	  -o -name '*[^~]' -type f \
 	  | xargs headache -h _header -c _headache.config
 
 .PHONY: headache
 
-# Source distribution
+# Deploy target
+#  Deploy/release the software.
 
-dist: setup.data
-	if ! [ "$$(darcs diff | wc -l)" = 0 ]; then \
-	  echo E: Uncommited changes >&2 ; exit 1; \
-	fi
-	$(MAKE) test
-	$(MAKE) dist-step2
+deploy: headache fix-perms
+	# TODO: create a plugin to create documentation.
+	# oasis doc-dist
+	admin-gallu-deploy --verbose \
+	  --forge_upload --forge_group odn --forge_package ocaml-data-notation \
+	  --forge_user gildor-admin
+	# TODO: when oasis doc-dist will work, re-add.
+	#  --forge_extra_file "dist/ocaml-data-notation-doc-$(shell oasis query version).tar.gz"
+	# TODO: create a plugin to send announcement.
+	# oasis announce
+	admin-gallu-oasis-increment \
+	  --setup_run --setup_args "-setup-update dynamic" --use_vcs
 
--include setup.data
-dist-step2:
-	darcs dist --dist-name $(pkg_name)-$(pkg_version)
-	if ! (darcs query tag | grep "$(pkg_version)" > /dev/null); then \
-	  darcs tag "$(pkg_version)"; \
-	else \
-	  echo W: Version $(pkg_version) already tagged >&2; \
-	fi 
-	gpg -s -a -b "$(pkg_name)-$(pkg_version).tar.gz"
-
-.PHONY: dist dist-step2
+.PHONY: deploy

=== debian/changelog ===
ocaml-data-notation (0.0.11-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:21:53 +0200

ocaml-data-notation (0.0.11-2) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Add ocamlbuild to Build-Depends
  * Update Vcs-*

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from Uploaders.

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jul 2017 19:37:50 +0200

ocaml-data-notation (0.0.11-1) unstable; urgency=low

  * Team upload
  * Upload to unstable
  * New upstream release (Closes: #731404)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Dec 2013 12:46:58 +0100

ocaml-data-notation (0.0.10-1) experimental; urgency=low

  * Team upload
  * New upstream release
    - bump type-conv requirement

 -- Stéphane Glondu <glondu@debian.org>  Sat, 27 Jul 2013 09:46:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,21 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: 
-  Sylvain Le Gall <gildor@debian.org>
 Build-Depends:
   ocaml-nox (>= 3.11.1-3~),
   ocaml-findlib,
   ocaml-base-nox,
-  libtype-conv-camlp4-dev (>= 3.0.5),
+  libtype-conv-camlp4-dev (>= 108.07.01),
   libounit-ocaml-dev,
   libfileutils-ocaml-dev (>= 0.4.0),
   dh-ocaml (>= 0.9~),
   debhelper (>= 9),
+  ocamlbuild,
   camlp4
 Standards-Version: 3.9.4
 Homepage: http://forge.ocamlcore.org/projects/odn
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-data-notation.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-data-notation.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-data-notation.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-data-notation.git
 
 Package: libodn-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export OCAMLFIND_DESTDIR
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
